# Generated by sila2.code_generator; sila2.__version__: 0.10.5
from __future__ import annotations

from typing import Optional

from sila2.framework.errors.defined_execution_error import DefinedExecutionError

from .temperaturecontroller_feature import TemperatureControllerFeature


class TemperatureNotReachable(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The ambient conditions prohibit the device from reaching the target temperature."
        super().__init__(
            TemperatureControllerFeature.defined_execution_errors["TemperatureNotReachable"], message=message
        )


class ControlInterrupted(DefinedExecutionError):
    def __init__(self, message: Optional[str] = None):
        if message is None:
            message = "The control of temperature could not be finished as it has been interrupted by another 'Control Temperature' command."
        super().__init__(TemperatureControllerFeature.defined_execution_errors["ControlInterrupted"], message=message)
